'use strict';

var _bluebird = require('bluebird');

var _bluebird2 = _interopRequireDefault(_bluebird);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = function ({
    listTags
}) {
    return function filterMissingImages(containerBuilds, projectId, token) {
        return _bluebird2.default.filter(containerBuilds, ({ image: { repository, tag } }) => listTags(repository, projectId, token).then(tags => tags.indexOf(tag) < 0), { concurrency: 3 });
    };
};