'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _authorization = require('./authorization');

var _authorization2 = _interopRequireDefault(_authorization);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = function ({
    request
}) {
    return function listTags(repository, projectId, token) {
        return request({
            url: listTagsUrl(projectId, repository),
            headers: _extends({}, (0, _authorization2.default)(token))
        }).then(JSON.parse).then(({ tags }) => tags);
    };
};

function listTagsUrl(projectId, repository) {
    return `https://gcr.io/v2/${projectId}/${repository}/tags/list`;
}

module.exports.listTagsUrl = listTagsUrl;